jQuery(document).ready(function ($) {

    // AOS ==========
    AOS.init({
        once: true,
    });





    // Slick ==========
    $('.events #slider').slick({
        dots: false,
        arrows: true,
        infinite: true,
        speed: 300,
        slidesToShow: 3,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                }
            }
        ]
    });

    $('.articles #slider2').slick({
        responsive: [
            {
                breakpoint: 992,
                settings: {
                    dots: false,
                    arrows: true,
                    infinite: false,
                    speed: 300,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    adaptiveHeight: true
                }
            },
            {
                breakpoint: 9999,
                settings: "unslick"
            }
        ]
    });




    var controller = new ScrollMagic.Controller();

    new ScrollMagic.Scene({
        triggerElement: '.hero',
        duration: $('.hero').height(),
        offset: 600
    }).setTween(".hero", {backgroundPosition: '100% 100%'}).addTo(controller);

    new ScrollMagic.Scene({
        triggerElement: '.hero',
        duration: 800,
        offset: 800
    }).setTween(".hero .caption", {opacity: '0'}).addTo(controller);

    new ScrollMagic.Scene({
        triggerElement: '.hero',
        duration: 600,
        offset: 600
    }).setTween(".fade-bottom", {height: '100%'}).addTo(controller);




    new ScrollMagic.Scene({
        triggerElement: '.header',
        duration: 400,
        offset: 600
    }).setTween(".header .navbar", {backgroundColor: 'rgba(0, 0, 0, 1)', paddingTop: '15px', paddingBottom: '15px'})
        //.addIndicators({name: "header"})
        .addTo(controller);



    new ScrollMagic.Scene({
        triggerElement: '.events',
        duration: 600,
        offset: 0
    }).setTween(".events .obj", {marginTop: '-100px'})
        //.addIndicators({name: "events"})
        .addTo(controller);



});
